PHP 8… Aún no

Implementador WordPress y VPS
Implementador WordPress y VPS
PHP 8… Aún no
icon loader
/

La semana pasada se ha actualizado PHP a la versión 8.0 y aunque una nueva versión trae mejoras… Debemos tener calma y dejar pasar un tiempo antes de actualizar en nuestros VPS.

PHP 8… Aún no
  • Antes de entrar en materia…
  • ¿Qué es PHP?
    • Es un lenguaje de programación que se ejecuta en un servidor para generar una página web.
  • La versión optima en producción es la 7.4
  • En este momento 7.2 ha llegado al final de su vida útil
  • PHP 7.3 llegará al final de su vida útil en diciembre del próximo año
  • Y PHP 7.4 ¿hasta cuándo será útil? Hasta noviembre 2022
  • El lanzamiento de PHP 8.0
  • Es el primer paso a lo que nos llegará la semana siguiente: WordPress 5.6
  • Esta nueva versión
  • Tiene como objetivo ser 100% compatible con la nueva versión de PHP
  • Pero el que ya tengamos en nuestro servidores
  • WordPress 5.6 y PHP 8.0
  • No nos garantiza nada… ¿por qué?
  • La compatibilidad con plugins y themes
  • ¿Compatibilidad?
    • El core será compatible
    • Pero tenemos que considerar
    • Que cada desarrollador
    • Le llevará mas o menos tiempo
    • Y estas nuevas versiones deberán esperar para ponerlo en nuestros sitios en producción
  • Los desarrolladores no lo tienen fácil
  • Tiene que ver hacia delante
  • Pero con compatibilidad con versiones anteriores
  • Por eso tenemos que aprendernos un nuevo termino:
    • Compatible con Beta
  • En el desarrollo de software
  • Hay dos versiones finales
  • La versión alpha y luego la beta
  • La versión beta significa que ya casi esta lista para su lanzamiento
  • Es decir la beta es lo que viene antes de la versión final
  • Así que WordPress 5.6 al ser “compatible con beta”
    • Significa que puede haber errores
    • Y muchos errores que no se han descubierto
  • ¿Si actualizo a PHP 8 mi WordPress morirá?
    • Si se usan versiones obsoletas de PHP
    • Se usan funciones antiguas que se eliminaran en PHP 8
    • Y por esta razón… WordPress puede fallar
  • La versión 8 de PHP tiene como objetivo ser mas seguro
  • Pero en este momento no tenemos ninguna seguridad que funcione todo correcto
  • ¿Por qué muchos paneles de VPS y empresas de hosting ya ofrecen PHP 8?
    • Por publicidad
    • Para darnos la oportunidad de testear
  • Es importante estar al tanto de las actualizaciones
  • Y es importante entender todo el panorama
  • Para nosotros y para explicárselo a nuestros clientes
  • Yo soy fiel partidario a actualizar siempre
  • Pero en casos como este lo mejor es esperar y estar pendiente…

Las grandes compañías con presupuesto, ya tienen meses preparando sus plugins para los cambios que vienen en camino… Pero no es el caso para los 57,885 plugins del repositorio.

Si querés ponerte en contacto conmigo, podes escribirme en mi Formulario de contacto aquí en la web 😉

Deja un comentario

Tu dirección de correo electrónico no será publicada.